Bug 596288 - VM guest mouse buttons stop working
Summary: VM guest mouse buttons stop working
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vmmouse (Show other bugs)
(Show other bugs)
Version: 13
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-26 14:26 UTC by arth
Modified: 2018-04-11 09:53 UTC (History)
4 users (show)

Fixed In Version: xorg-x11-drv-vmmouse-12.6.9-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 18:29:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
requested logs (163.85 KB, application/x-gzip)
2010-06-07 14:06 UTC, Jeff Bastian
no flags Details
cmdline from the archive (attachment 421834) (130 bytes, text/plain)
2010-06-18 09:47 UTC, Matěj Cepl
no flags Details
dmesg from the archive (attachment 421834) (58.83 KB, text/plain)
2010-06-18 09:47 UTC, Matěj Cepl
no flags Details
messages from the archive (attachment 421834) (763.03 KB, text/plain)
2010-06-18 09:47 UTC, Matěj Cepl
no flags Details
xorg.conf from the archive (attachment 421834) (876 bytes, text/plain)
2010-06-18 09:47 UTC, Matěj Cepl
no flags Details
Xorg.setup.log from the archive (attachment 421834) (1.38 KB, text/plain)
2010-06-18 09:47 UTC, Matěj Cepl
no flags Details
Xorg.0.log from the archive (attachment 421834) (36.22 KB, text/plain)
2010-06-18 09:47 UTC, Matěj Cepl
no flags Details
Xorg.0.log.old from the archive (attachment 421834) (36.84 KB, text/plain)
2010-06-18 09:47 UTC, Matěj Cepl
no flags Details

Description arth 2010-05-26 14:26:29 UTC
Description of problem:

System is a guest under VMware Server 2.0.2, and runs Gnome.  No xorg.conf, open-vm-tools is installed and active.

After upgrading from F12 to F13 (all latest patches at time of this post), mouse buttons will stop working, one at a time, if doing multiple mouse related functions simultaneously:
- clicking buttons while dragging a window
- rapidly clicking on a menu
- repetitive mark-middle-mouse-paste actions

Once a mouse button stops working, it does not come back until X is killed.
The other buttons continue working, though.

No errors are logged in .xsession-errors, dmesg, audit.log or any other place I could think of.

The problem is repeatable, and can reliably be triggered by repetitive actions, but not by any individual action.  Reverting to F12 removes problem, re-upgrading to F13 causes problem to reappear.

(Attempting to switch from udev to HAL for input devices as a workaround failed, as the mouse disappeared completely.)

Comment 1 Matěj Cepl 2010-05-28 22:06:16 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* output of the dmesg command,
* system log (/var/log/messages), and
* X server log file (/var/log/Xorg.*.log)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Jeff Bastian 2010-06-03 17:18:27 UTC
I'm also experiencing this problem.  It's just the left button (button 1) that stops working for me.  The middle- and right-buttons and the scroll wheel still work.  I fired up 'xev' and button 1 isn't even generating any events.

I'm using VMware Fusion 3.1.0 on an iMac (OS X 10.6.3) with a fresh install of Fedora 13 i386, and I have open-vm-tools from rpmfusion installed.  I'm running KDE.

I've rebooted with drm.debug=0x04.  I'll attach the above files from my system as soon as it happens again.  (It shouldn't take long; it's already happened to me twice today.)

Comment 3 Jeff Bastian 2010-06-04 12:38:16 UTC
Of course, now that I have drm.debug=0x04 enabled, everything has been working fine...  :)

Comment 4 Jeff Bastian 2010-06-07 14:06:58 UTC
Created attachment 421834 [details]
requested logs

I was just scrolling through a long bugzilla in Firefox.  I left-clicked on the scroll bar and dragged it down and when I let go of the left mouse button it kept scrolling.  The left button has stopped working now (but the other buttons all work fine).  Attached are the requested logs from my system.

Comment 5 Jeff Bastian 2010-06-17 18:18:01 UTC
I've noticed that it always happens when I click-and-drag just like I mentioned in comment 4.  Usually I'm scrolling through a window by click-and-drag the scoll bar.

I also noticed that when I let go of the left-button I'm still controlling the scroll bar as I move up and down.

It's as if X doesn't realize I've released the left-button.

This has been happening about once a day, sometimes more.  It's very annoying, but fortunately the keyboard still works so I've been able to use keyboard shortcuts to save all my work, shut down all the applications, kill the VPN session (thanks to the new NetworkManager command line interface!), and logout.  Once X restarts the left-mouse button works again.

Comment 6 Matěj Cepl 2010-06-18 09:47:07 UTC
Created attachment 425064 [details]
cmdline from the archive (attachment 421834 [details])

Comment 7 Matěj Cepl 2010-06-18 09:47:16 UTC
Created attachment 425065 [details]
dmesg from the archive (attachment 421834 [details])

Comment 8 Matěj Cepl 2010-06-18 09:47:25 UTC
Created attachment 425066 [details]
messages from the archive (attachment 421834 [details])

Comment 9 Matěj Cepl 2010-06-18 09:47:32 UTC
Created attachment 425067 [details]
xorg.conf from the archive (attachment 421834 [details])

Comment 10 Matěj Cepl 2010-06-18 09:47:39 UTC
Created attachment 425068 [details]
Xorg.setup.log from the archive (attachment 421834 [details])

Comment 11 Matěj Cepl 2010-06-18 09:47:49 UTC
Created attachment 425069 [details]
Xorg.0.log from the archive (attachment 421834 [details])

Comment 12 Matěj Cepl 2010-06-18 09:47:56 UTC
Created attachment 425070 [details]
Xorg.0.log.old from the archive (attachment 421834 [details])

Comment 13 Michel Dänzer 2010-06-18 15:43:50 UTC
This is fixed in upstream Git commit 1d1c0514158abb66388ee4eb44764d201203a863 ('Only match against event[0-9] in udev rules').

Comment 14 Fedora Update System 2010-06-20 23:49:23 UTC
xorg-x11-drv-vmmouse-12.6.9-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xorg-x11-drv-vmmouse-12.6.9-3.fc13

Comment 15 Fedora Update System 2010-06-21 21:31:57 UTC
xorg-x11-drv-vmmouse-12.6.9-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-vmmouse'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-vmmouse-12.6.9-3.fc13

Comment 16 Fedora Update System 2010-06-30 23:18:52 UTC
xorg-x11-drv-vmmouse-12.6.9-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xorg-x11-drv-vmmouse-12.6.9-4.fc13

Comment 17 Fedora Update System 2010-07-01 18:57:00 UTC
xorg-x11-drv-vmmouse-12.6.9-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-vmmouse'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-vmmouse-12.6.9-4.fc13

Comment 18 Fedora Update System 2010-07-08 18:28:57 UTC
xorg-x11-drv-vmmouse-12.6.9-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.